> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods

> Lists the payment methods available to the current business for billing, invoice payments, and wallet funding.



## OpenAPI

````yaml /openapi.json get /payment-methods
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /payment-methods:
    get:
      tags:
        - PaymentMethods
      summary: List payment methods
      description: >-
        Lists the payment methods available to the current business for billing,
        invoice payments, and wallet funding.
      operationId: PaymentMethods_GetAll
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/StripePaymentMethodResponse'
                  description: >-
                    API DTO containing stripe payment method data used by
                    Leadping API contracts.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    StripePaymentMethodResponse:
      required:
        - id
        - brand
        - last4
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this Stripe payment method.
        brand:
          type: string
          description: The brand value for this Stripe payment method.
        last4:
          type: string
          description: The date and time for the last4 value on this Stripe payment method.
        expMonth:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The exp month value for this Stripe payment method.
          format: int32
        expYear:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The exp year value for this Stripe payment method.
          format: int32
        isDefault:
          type: boolean
          description: Whether this Stripe payment method is default.
        createdAt:
          type: string
          description: >-
            The date and time for the created at value on this Stripe payment
            method.
          format: date-time
          nullable: true
      description: >-
        API DTO containing stripe payment method data used by Leadping API
        contracts.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````